<h2>All TicTacToe games</h2>
<h3>In progress</h3>
<nz-table #listActiveTable [nzData]="active" nzSize="small">
  <thead>
    <tr>
      <th>Opponent</th>
      <th>Date</th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of listActiveTable.data">
      <td *ngIf="item?.user?.id !== currentEntityId">
        <a href="/citizen/{{ item?.user?.id }}">{{ item?.user?.name }}</a>
      </td>
      <td *ngIf="item?.user?.id === currentEntityId">
        <a href="/citizen/{{ item?.createdBy?.id }}">{{
          item?.createdBy?.name
        }}</a>
      </td>
      <td>{{ item.createdOn }}</td>
      <td>
        <button
          nz-button
          nzType="primary"
          nzShape="round"
          nzSize="small"
          [routerLink]="['/mini-game/tic-tac-toe', item.id]"
        >
          View
        </button>
      </td>
    </tr>
  </tbody>
</nz-table>

<h3>Available</h3>
<nz-table #listQueueTable [nzData]="queue" nzSize="small">
  <thead>
    <tr>
      <th>Creator</th>
      <th>Date</th>
      <th>
        <button nz-button nzShape="round" nzType="primary" nzSize="small" (click)="create()">
          Create
        </button>
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of listQueueTable.data">
      <td>
        <a href="/citizen/{{ item?.createdBy?.id }}">{{
          item?.createdBy?.name
        }}</a>
      </td>
      <td>{{ item.createdOn }}</td>
      <td>
        <button
          nz-button
          nzShape="round"
          nzType="primary"
          nzSize="small"
          (click)="join(item.id)"
          *ngIf="currentEntityId !== item?.createdBy?.id"
        >
          Join
        </button>
      </td>
    </tr>
  </tbody>
</nz-table>

<h3>History</h3>
<nz-table #listHistoryTable [nzData]="history" nzSize="small">
  <thead>
    <tr>
      <th>Opponent</th>
      <th>Winner</th>
      <th>Date</th>
      <th>
        <button nz-button nzShape="round" nzType="primary" nzSize="small" (click)="create()">
          Create
        </button>
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of listHistoryTable.data">
      <td>
        <a href="/citizen/{{ item?.user?.id }}">{{ item?.user?.name }}</a>
      </td>
      <td>
        <span *ngIf="item.winner">
          <nz-tag
            [nzColor]="'green'"
            *ngIf="item.winner.id === currentEntityId"
            >{{ item?.winner?.name }}</nz-tag
          >
          <nz-tag
            [nzColor]="'red'"
            *ngIf="item.winner.id !== currentEntityId"
            >{{ item?.winner?.name }}</nz-tag
          >
        </span>
        <nz-tag [nzColor]="'orange'" *ngIf="!item.winner">Draw</nz-tag>
      </td>
      <td>{{ item.createdOn }}</td>
      <td>
        <button
          nz-button
          nzType="primary"
          nzShape="round"
          nzSize="small"
          [routerLink]="['/mini-game/tic-tac-toe', item.id]"
        >
          View
        </button>
      </td>
    </tr>
  </tbody>
</nz-table>
